/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/appserv-api/src/java/com/sun/appserv/management/util/jmx/stringifier/MBeanAttributeInfoStringifier.java,v 1.1 2006/12/02 06:04:23 llc Exp $
 * $Revision: 1.1 $
 * $Date: 2006/12/02 06:04:23 $
 */
 
package com.sun.appserv.management.util.jmx.stringifier;

import java.lang.reflect.Array;
import javax.management.MBeanAttributeInfo;


import com.sun.appserv.management.util.stringifier.Stringifier;


public class MBeanAttributeInfoStringifier extends MBeanFeatureInfoStringifier implements Stringifier
{
	public final static MBeanAttributeInfoStringifier	DEFAULT	=
					new MBeanAttributeInfoStringifier();
	
		public
	MBeanAttributeInfoStringifier()
	{
		super();
	}
	
		public
	MBeanAttributeInfoStringifier( MBeanFeatureInfoStringifierOptions options )
	{
		super( options );
	}
	
		public String
	stringify( Object o )
	{
		MBeanAttributeInfo	attr	= (MBeanAttributeInfo)o;
		String	result	= attr.getName() + ":";
		if ( attr.isReadable() )
			result	= result + "r";
		if ( attr.isWritable() )
			result	= result + "w";
		result	= result + mOptions.mArrayDelimiter + getPresentationTypeString( attr.getType() );
		
		if ( mOptions.mIncludeDescription )
		{
			result	= result + ",\"" + attr.getDescription() + "\"";
		}
		
		return( result );
	}
}